import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { BmVersion } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 17:08
 */
interface BmVersionCU extends ConditionUtil<BmVersionCU> {
    ID: FieldUtil<BmVersionCU>;
    SERVICE_CENTER_ID: FieldUtil<BmVersionCU>;
    APP_ID: FieldUtil<BmVersionCU>;
    BM_PROJECT_ID: FieldUtil<BmVersionCU>;
    BASIC_VERSION_ID: FieldUtil<BmVersionCU>;
    VERSION_NO: FieldUtil<BmVersionCU>;
    MAJOR: FieldUtil<BmVersionCU>;
    MINOR: FieldUtil<BmVersionCU>;
    RELEASED: FieldUtil<BmVersionCU>;
    BMS_RELEASED: FieldUtil<BmVersionCU>;
    DESCRIPTION: FieldUtil<BmVersionCU>;
    JAVA_BUILD_STATUS: FieldUtil<BmVersionCU>;
    NPM_BUILD_STATUS: FieldUtil<BmVersionCU>;
    NPM_PACKAGE_NAME: FieldUtil<BmVersionCU>;
    NODE_BUILD_STATUS: FieldUtil<BmVersionCU>;
    GRADLE_PACKAGE_NAME: FieldUtil<BmVersionCU>;
    CREATE_USER_ID: FieldUtil<BmVersionCU>;
    UPDATE_USER_ID: FieldUtil<BmVersionCU>;
    CREATE_TIME: FieldUtil<BmVersionCU>;
    UPDATE_TIME: FieldUtil<BmVersionCU>;
}
declare class BmVersionMU extends TableUtilImpl<BmVersionCU, BmVersion> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): BmVersionCU;
    static get ID(): FieldUtil<BmVersionCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<BmVersionCU>;
    static get APP_ID(): FieldUtil<BmVersionCU>;
    static get BM_PROJECT_ID(): FieldUtil<BmVersionCU>;
    static get BASIC_VERSION_ID(): FieldUtil<BmVersionCU>;
    static get VERSION_NO(): FieldUtil<BmVersionCU>;
    static get MAJOR(): FieldUtil<BmVersionCU>;
    static get MINOR(): FieldUtil<BmVersionCU>;
    static get RELEASED(): FieldUtil<BmVersionCU>;
    static get BMS_RELEASED(): FieldUtil<BmVersionCU>;
    static get DESCRIPTION(): FieldUtil<BmVersionCU>;
    static get JAVA_BUILD_STATUS(): FieldUtil<BmVersionCU>;
    static get NPM_BUILD_STATUS(): FieldUtil<BmVersionCU>;
    static get NPM_PACKAGE_NAME(): FieldUtil<BmVersionCU>;
    static get NODE_BUILD_STATUS(): FieldUtil<BmVersionCU>;
    static get GRADLE_PACKAGE_NAME(): FieldUtil<BmVersionCU>;
    static get CREATE_USER_ID(): FieldUtil<BmVersionCU>;
    static get UPDATE_USER_ID(): FieldUtil<BmVersionCU>;
    static get CREATE_TIME(): FieldUtil<BmVersionCU>;
    static get UPDATE_TIME(): FieldUtil<BmVersionCU>;
    get ID(): FieldUtil<BmVersionCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BmVersionCU>;
    get APP_ID(): FieldUtil<BmVersionCU>;
    get BM_PROJECT_ID(): FieldUtil<BmVersionCU>;
    get BASIC_VERSION_ID(): FieldUtil<BmVersionCU>;
    get VERSION_NO(): FieldUtil<BmVersionCU>;
    get MAJOR(): FieldUtil<BmVersionCU>;
    get MINOR(): FieldUtil<BmVersionCU>;
    get RELEASED(): FieldUtil<BmVersionCU>;
    get BMS_RELEASED(): FieldUtil<BmVersionCU>;
    get DESCRIPTION(): FieldUtil<BmVersionCU>;
    get JAVA_BUILD_STATUS(): FieldUtil<BmVersionCU>;
    get NPM_BUILD_STATUS(): FieldUtil<BmVersionCU>;
    get NPM_PACKAGE_NAME(): FieldUtil<BmVersionCU>;
    get NODE_BUILD_STATUS(): FieldUtil<BmVersionCU>;
    get GRADLE_PACKAGE_NAME(): FieldUtil<BmVersionCU>;
    get CREATE_USER_ID(): FieldUtil<BmVersionCU>;
    get UPDATE_USER_ID(): FieldUtil<BmVersionCU>;
    get CREATE_TIME(): FieldUtil<BmVersionCU>;
    get UPDATE_TIME(): FieldUtil<BmVersionCU>;
}
export { BmVersionMU, BmVersionCU };
